//**********************************************************************//
//									//
//	Emerald.shader for Q3Radiant					//
//	by Sock - 22nd August 2000					//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Very liberal edit of skybox by Wumpus for this map.

textures/ut4_kingsgambit/kg_kingsky3
{
	qer_editorimage textures/ut4_kingsgambit/emerald/emerald_view.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 250 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.9 0.9 0.9 220 120 60 1 16
	skyparms env/ut4_kingsgambit/emerald 1024 -
}

//watercaulk from FSK405|WilyDuck!!!

textures/ut4_kingsgambit/kg_duck_watercaulk
{
	qer_editorimage textures/ut4_kingsgambit/liquids/pool3d_3.tga
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

// water

//	*********************************************************
//	*      Medium clear ripple water. Created September 9	*
//	*********************************************************
textures/ut4_kingsgambit/kg_clear_ripple3
{
	qer_editorimage textures/ut4_kingsgambit/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_kingsgambit/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_kingsgambit/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_kingsgambit/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}


textures/ut4_kingsgambit/kg_foamwater1
{
	qer_editorimage textures/ut4_kingsgambit/clearfoam_water.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	//surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/ut4_kingsgambit/clearfoam_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.09 0.07 0.1 .1
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

// fog
//textures/ut4_kingsgambit/kg_fog
//{
//	qer_editorimage textures/shaders/fog.tga
//	qer_trans .5
//	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm fog
//	surfaceparm nolightmap
//	qer_nocarve
//	fogparms ( 0.9 0.5 0.2 ) 1024
//}

//nodam stone

textures/ut4_kingsgambit/kg_rocks1
{
	qer_editorimage textures/ut4_kingsgambit/pr_rock035.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kingsgambit/pr_rock035.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kingsgambit/kg_pathstone-b
{
	qer_editorimage textures/ut4_kingsgambit/pr_rock015b.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kingsgambit/pr_rock015b.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kingsgambit/kg_pathstone-r
{
	qer_editorimage textures/ut4_kingsgambit/pr_rock015r.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kingsgambit/pr_rock015r.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kingsgambit/kg_grasss1
{
	qer_editorimage textures/ut4_kingsgambit/pr_veg048.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kingsgambit/pr_veg048.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kingsgambit/kg_roof1
{
	qer_editorimage textures/ut4_kingsgambit/pr_roof05.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kingsgambit/pr_roof05.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kingsgambit/kg_nodaminvis
{

	surfaceparm nodraw

	surfaceparm nolightmap

	surfaceparm nonsolid

	surfaceparm trans

	surfaceparm nomarks

	surfaceparm nodamage
}

//glass: slippery, no damage

textures/ut4_kingsgambit/kg_glass_slip
{
	qer_editorimage textures/ut4_kingsgambit/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kingsgambit/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//Lighting
//From crossing; altered for use

textures/ut4_kingsgambit/kg_panel_1500
{
	qer_editorimage textures/ut4_kingsgambit/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kingsgambit/kg_panel_500
{
	qer_editorimage textures/ut4_kingsgambit/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//light emiting rocks for center trough

textures/ut4_kingsgambit/kg_bedrock500_b
{
	qer_editorimage textures/ut4_kingsgambit/pr_rock004b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/pr_rock004b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/pr_rock004b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kingsgambit/kg_bedrock500_r
{
	qer_editorimage textures/ut4_kingsgambit/pr_rock004r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/pr_rock004r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/pr_rock004r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kingsgambit/kg_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_kingsgambit/flame7.tga
	

	{
		animMap 10 textures/ut4_kingsgambit/flame1.tga textures/ut4_kingsgambit/flame2.tga textures/ut4_kingsgambit/flame3.tga textures/ut4_kingsgambit/flame4.tga textures/ut4_kingsgambit/flame5.tga textures/ut4_kingsgambit/flame6.tga textures/ut4_kingsgambit/flame7.tga textures/ut4_kingsgambit/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_kingsgambit/flame2.tga textures/ut4_kingsgambit/flame3.tga textures/ut4_kingsgambit/flame4.tga textures/ut4_kingsgambit/flame5.tga textures/ut4_kingsgambit/flame6.tga textures/ut4_kingsgambit/flame7.tga textures/ut4_kingsgambit/flame8.tga textures/ut4_kingsgambit/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_kingsgambit/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

//modified Ladderclip from UrT

textures/ut4_kingsgambit/kg_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//Delirium plant-tree shaders

//moving leaf - multiple bevels, bent for leaves-fronds

textures/ut4_kingsgambit/kg_leaf1
{
        qer_editorimage textures/ut4_kingsgambit/del_leaf1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_kingsgambit/del_leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//moving leaf - multiple bevels
textures/ut4_kingsgambit/kg_leaf2
{
        qer_editorimage textures/ut4_kingsgambit/del_leaf2.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_kingsgambit/del_leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//shrubs - criss-cross patches or very thin brushes

textures/ut4_kingsgambit/kg_plant1
{
        qer_editorimage textures/ut4_kingsgambit/del_plant1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_kingsgambit/del_plant1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
 
textures/ut4_kingsgambit/kg_plant3
{
        qer_editorimage textures/ut4_kingsgambit/del_plant3.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_kingsgambit/del_plant3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//green moving vines - bevel, top edge bent over top of brush

textures/ut4_kingsgambit/kg_vine07
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_kingsgambit/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//orange moving vines

textures/ut4_kingsgambit/kg_vine08
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_kingsgambit/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// cn_trees  model

// cn_trees version1 Tree-mapmodel (c) QKennyQ 


textures/ut4_kingsgambit/kg_liveoak
{
	cull none
	nopicmip
	qer_editorimage textures/ut4_kingsgambit/cn_trees/liveoak.tga

	{
		map models/mapobjects/ut4_kingsgambit/cn_trees/liveoak.tga
		alphaFunc LE128
		depthWrite
		rgbGen vertex
	}
}


// ======================================================================
// VINE - soc
// ======================================================================

// ----------------------------------------------------------------------

textures/ut4_kingsgambit/kg_vine02
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine02.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip

	{
		map textures/ut4_kingsgambit/plants_soc/vine02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine03
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_kingsgambit/plants_soc/vine03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine04
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine04.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/ut4_kingsgambit/plants_soc/vine04.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine05
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine05.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_kingsgambit/plants_soc/vine05.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine06
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine06.tga
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
	deformVertexes wave 16 sin 0 0.5 0 0.1

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map textures/ut4_kingsgambit/plants_soc/vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ======================================================================
// TREE - by Sock, mods by KittyWumpus*
// ======================================================================
textures/ut4_kingsgambit/soc_tree01_bark
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_bark.tga

	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	q3map_clipmodel
	q3map_nonplanar
	q3map_shadeAngle 75

	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	{
		map textures/ut4_kingsgambit/soc_tree01_bark.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		//blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_kingsgambit/soc_tree01_stump
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/soc_tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_kingsgambit/soc_tree01_leaves
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_leaves.tga
	q3map_cloneShader textures/ut4_kingsgambit/soc_tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_kingsgambit/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/ut4_kingsgambit/soc_tree01_leavesback
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_kingsgambit/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
